namespace efl { namespace io { namespace closer { 
inline ::efl::eolian::return_traits<int>::type Fd::closer_fd_get() const
{
   int __return_value =  ::efl_io_closer_fd_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<int>::type>(__return_value);
}
#ifdef EFL_IO_CLOSER_FD_MIXIN_PROTECTED
inline ::efl::eolian::return_traits<void>::type Fd::closer_fd_set( ::efl::eolian::in_traits<int>::type fd) const
{
    ::efl_io_closer_fd_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<int,  ::efl::eolian::in_traits<int>::type>(fd));
}
#endif
} } } 
namespace eo_cxx {
namespace efl { namespace io { namespace closer { 
inline ::efl::eolian::return_traits<int>::type Fd::closer_fd_get() const
{
   int __return_value =  ::efl_io_closer_fd_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<int>::type>(__return_value);
}
#ifdef EFL_IO_CLOSER_FD_MIXIN_PROTECTED
inline ::efl::eolian::return_traits<void>::type Fd::closer_fd_set( ::efl::eolian::in_traits<int>::type fd) const
{
    ::efl_io_closer_fd_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<int,  ::efl::eolian::in_traits<int>::type>(fd));
}
#endif
inline efl::io::closer::Fd::operator ::efl::io::closer::Fd() const { return *static_cast< ::efl::io::closer::Fd const*>(static_cast<void const*>(this)); }
inline efl::io::closer::Fd::operator ::efl::io::closer::Fd&() { return *static_cast< ::efl::io::closer::Fd*>(static_cast<void*>(this)); }
inline efl::io::closer::Fd::operator ::efl::io::closer::Fd const&() const { return *static_cast< ::efl::io::closer::Fd const*>(static_cast<void const*>(this)); }
} } } }

